You are not logged in.

#1 2004-03-24 01:11:52

speedster
Member
From: Stanley, NC
Registered: 2004-02-21
Posts: 20
Website

Please help me!

Hi there.  I have tried and tried and cannot get a much needed package to compile.  It's SWORD (libraries for free Bible software, such as Bibletime and Gnomesword, found at:
http://www.crosswire.org/sword/software/swordapi.jsp

I have tried the old methods (./configure, make, make install), which worked on Gentoo, but won't on Arch for some reason.  I'm using the same sword-1.5.7.tar.gz that I used to use (yes, I've downloaded it again and again to make sure it's not corrupted somehow).

I've also tried ABS, which is great, but it hits the same error (as when I just do things the old way) after awhile:

../src/mgr/installmgr.cpp: In member function `char
   sword::InstallMgr::FTPURLGetFile(void*, const char*, const char*)':
../src/mgr/installmgr.cpp:153: error: `TRUE' undeclared (first use this
   function)
../src/mgr/installmgr.cpp:153: error: (Each undeclared identifier is reported
   only once for each function it appears in.)
make[2]: *** [installmgr.lo] Error 1
make[2]: Leaving directory `/home/jiandau/sword-1.5.7/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/jiandou/sword-1.5.7'
make: *** [all] Error 2

Please let me know what to do.  I think I got Bibletime's PKGBUILD right and if someone can just help me out with this, I'll have the SWORD one done, too.

thanks in advance!
big_smile

Offline

#2 2004-03-24 01:35:02

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,366
Website

Re: Please help me!

hmm ... can you post here the PKGBUILD you tried? (use  to have it look correct)

i can only guess now, but maybe you are missing a dependency that is needed to compile it, or it simply needs a patch for something (remember, that archlinux has quite everything kept really up-to-date ... the authors of OSS-projects are not that up-to-date that much like we are, so they can miss some change in gcc or so)


The impossible missions are the only ones which succeed.

Offline

#3 2004-03-24 04:36:59

haldir
Member
From: Indiana
Registered: 2004-03-13
Posts: 2

Re: Please help me!

Just a suggestion, read the doc INSTALL. You don't do ./configure you run ./usrinst.sh

Offline

#4 2004-03-24 11:29:13

speedster
Member
From: Stanley, NC
Registered: 2004-02-21
Posts: 20
Website

Re: Please help me!

Wow!  Thanks for the quick responses!  Proof again that Archers are faster and friendlier than Gentooers.  I tried that ./usrinst.sh or whatever and got the same results.  Anyhow, here's the PKGBUILD:

 pkgname=sword
              pkgver=1.5.7
              pkgrel=1
              pkgdesc="SWORD libraries for Bible programs"
              url="http://www.kernel.org"
              backup=(etc/modules.conf)
              makedepends=('bash' 'mawk')
              depends=('glibc' 'zlib' 'curl')
              source=(http://unc.dl.sourceforge.net/sourceforge/bibletime/sword-1.5.7.tar.gz)
              md5sums=('369f09068839c646aeab691c63a40d67')

              build() {
                cd $startdir/src/$pkgname-$pkgver
                ./configure --prefix=/usr --enable-insmod-static
                make || return 1
                make prefix=$startdir/pkg/usr install
                mv $startdir/pkg/usr/sbin $startdir/pkg
                mkdir -p $startdir/pkg/etc
                cp ../modules.conf $startdir/pkg/etc
              }

Thanks.

Offline

#5 2004-03-24 12:16:07

farphel
Forum Fellow
From: New Hampshire - USA
Registered: 2003-09-18
Posts: 250
Website

Re: Please help me!

It looks like dp was correct.  I was able to build sword after defining TRUE in the src/mgr/installmgr.cpp file.  It looks like an older version of CURL must have defined TRUE at one point, but the latest version of CURL no longer defines that constant.

speedster wrote:

../src/mgr/installmgr.cpp: In member function `char
   sword::InstallMgr::FTPURLGetFile(void*, const char*, const char*)':
../src/mgr/installmgr.cpp:153: error: `TRUE' undeclared (first use this
   function)
../src/mgr/installmgr.cpp:153: error: (Each undeclared identifier is reported
   only once for each function it appears in.)
make[2]: *** [installmgr.lo] Error 1
make[2]: Leaving directory `/home/jiandau/sword-1.5.7/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/jiandou/sword-1.5.7'
make: *** [all] Error 2

I would recommend contacting the sword developers and asking them about it.

As a short-term fix, just add a line after line 133 in src/mgr/installmgr.cpp

#define TRUE 1

If you wanted to make a PKGBUILD for sword, you could add a 'sed' line to replace TRUE with 1.  Add the sed line after your PKGBUILD runs the 'usrinst.sh' script.

sed -i 's/TRUE/1/' src/mgr/installmgr.cpp

Good luck,
farphel


Follow the link below, sign up, and accept one promotional offer.  If I can get five suckers (err... friends) to do this, I'll get a free iPod.  Then you too can try to get a free iPod. Thanks! http://www.freeiPods.com/?r=11363142

Offline

#6 2004-03-25 00:15:24

speedster
Member
From: Stanley, NC
Registered: 2004-02-21
Posts: 20
Website

Re: Please help me!

Got it all installed now!  You guys are the best!

Offline

Board footer

Powered by FluxBB